#include <stdio.h>

int main()
{
    int n,k;
    scanf("%d %d", &n, &k);
    int nizkarata[n];

    for(int i=0; i<n; i++){
        scanf("%d", &nizkarata[i]);
    }

    for(int i=0; i<n; i++){
        if(i==(n-1)){printf("%d", nizkarata[0]); break;}
        if(nizkarata[i]==k){printf("%d", nizkarata[i+1]); break;}
    }

}